BTCONFIG(8) | System Manager's Manual | BTCONFIG(8)

# NAME

`btconfig` — configure bluetooth devices

# SYNOPSIS

`btconfig` | [`-svz`] [device [parameters]]

`btconfig` | [`-l`]

# DESCRIPTION

`btconfig` is used to configure Bluetooth devices. If the device is given, but no parameters, then `btconfig` will print information about the device. If no device is given, a basic list of devices will be printed.

When the `-l` flag is used, just the device names will be printed.

# COMMANDS

The following parameters may be specified with `btconfig`:

`up`
  Enable Bluetooth Device.
`down`
  Disable Bluetooth Device.
`pscan`
  Enable Page Scan. This enables incoming connections to the device.
`-pscan`
  Disable Page Scan.
`iscan`
  Enable Inquiry Scan. This puts the device in Discoverable mode.
`-iscan`
  Disable Inquiry Scan.
`encrypt`
  Enable encryption. This will cause the device to request encryption on all baseband connections, and will only work if authentication is also enabled.
`-encrypt`
  Disable encryption.
`auth`
  Enable authentication. This will cause the device to request authentication for all baseband connections.
`-auth`
  Disable authentication.
`switch`
  Enable Role Switching. In a Bluetooth piconet there is one Master and up to seven Slaves, and normally the device that initiates a connection will take the Master role. Enabling this option allows remote devices to switch connection roles.
`-switch`
  Disable Role Switching.
`master`
  Request the Master role when accepting connections.
`-master`
  Do not request Master role.
`hold`
  Enable Hold Mode.
`-hold`
  Disable Hold Mode.
`sniff`
  Enable Sniff Mode.
`-sniff`
  Disable Sniff Mode.
`park`
  Enable Park Mode.
`-park`
  Disable Park Mode.
`name` name
  Set human readable name of device.
`ptype` type
  Set packet types. type is a 16 bit hex value specifying packet types that will be requested by outgoing ACL connections. By default, all packet types that the device supports are enabled, see bluetooth specifications for more information if you want to change this.
`class` class
  Set class of device. class is a 6 digit hex value the value of which declares the device capabilities. See the "Assigned Numbers - Baseband" document at http://www.bluetooth.com/ for details of constructing a Class of Device value. As a starter, 0x020104 means Desktop Computer, with Networking available.
`fixed`
  Set fixed pin type.
`variable`
  Set variable pin type.
`inquiry`
  Perform device Discovery from the specified device and print details.
`imode` type
  Set inquiry mode type to control which event formats are generated during a device inquiry. The type can be:
  std
    Standard Inquiry Result Event format.
  rssi
    Enable Remote Signal Strength Indicator (RSSI) in inquiry results. This will only work if the device features indicate ⟨RSSI with inquiry result⟩.
  ext
    Inquiry Result with RSSI format or Extended Inquiry Result format. This will only work where the device features indicate ⟨extended inquiry⟩, and the Extended Inquiry Result will only occur when the remote device provides the extended information.
`reset`
  Perform a hard reset on the device and re-initialise system state.
`voice`
  Set Voice Setting. [This should be 0x0060 for now]
`pto`
  Set Page Timeout value. This is a decimal value in milliseconds, indicating how long the device will attempt to page another device when opening baseband connections.
`scomtu`
  Change SCO mtu value. This is a decimal value, see ubt(4) for reasons why you may need to do this.

All parameters are parsed before any device operations take place. Each time the `-v` flag is given, verbosity levels will be increased.

Super-user privileges are required to change device configurations.

# DIAGNOSTICS

Messages indicating the specified device does not exist, the requested address is unknown, or the user is not privileged and tried to alter a device's configuration.

# SEE ALSO

bcsp(4), bluetooth(4), bt3c(4), btbc(4), btuart(4), sbt(4), ubt(4)

# HISTORY

The `btconfig` command was written for NetBSD 4.0 by Iain Hibbert under the sponsorship of Itronix, Inc.

# BUGS

The output is very messy.

October 11, 2010 | NetBSD 11.0